> For the complete documentation index, see [llms.txt](https://docs.mailtrap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mailtrap.io/developers/email-sandbox/projects/get-a-list-of-projects.md).

# Get a list of projects

List projects and their sandboxes to which the API token has access.

```json
{"openapi":"3.1.0","info":{"title":"Email Sandbox","version":"2.0.0"},"tags":[{"name":"Projects","description":"Interactions with projects"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"ProjectsResponse":{"description":"Lists project attributes and inboxes of this project with their attributes.\n- **permissions** returns the permissions of the token for the project","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Project"}}}}},"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"PERMISSION_DENIED":{"description":"Returns forbidden error message. Check your permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionsDeniedResponse"}}}}},"schemas":{"Project":{"title":"Testing Project","type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"share_links":{"type":"object","properties":{"admin":{"type":"string"},"viewer":{"type":"string"}}},"sandboxes":{"type":"array","items":{"nullable":true,"$ref":"#/components/schemas/TestingSandbox"}},"permissions":{"type":"object","properties":{"can_read":{"type":"boolean"},"can_update":{"type":"boolean"},"can_destroy":{"type":"boolean"},"can_leave":{"type":"boolean"}}}}},"TestingSandbox":{"title":"Testing Sandbox","type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"username":{"type":"string"},"password":{"type":"string","nullable":true,"description":"Password is only available if you have admin permissions for the sandbox."},"max_size":{"type":"integer"},"status":{"type":"string","enum":["active","inactive","pending"]},"email_username":{"type":"string"},"email_username_enabled":{"type":"boolean"},"sent_messages_count":{"type":"integer"},"forwarded_messages_count":{"type":"integer"},"used":{"type":"boolean"},"forward_from_email_address":{"type":"string"},"project_id":{"type":"integer"},"domain":{"type":"string"},"pop3_domain":{"type":"string"},"email_domain":{"type":"string"},"api_domain":{"type":"string"},"emails_count":{"type":"integer"},"emails_unread_count":{"type":"integer"},"last_message_sent_at":{"nullable":true,"type":"string"},"smtp_ports":{"type":"array","items":{"type":"integer"}},"pop3_ports":{"type":"array","items":{"type":"integer"}},"max_message_size":{"type":"integer"},"permissions":{"type":"object","properties":{"can_read":{"type":"boolean"},"can_update":{"type":"boolean"},"can_destroy":{"type":"boolean"},"can_leave":{"type":"boolean"}}}}},"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"PermissionsDeniedResponse":{"title":"PermissionsDeniedResponse","type":"object","properties":{"errors":{"type":"string","description":"Error message"}}}}},"paths":{"/api/projects":{"get":{"summary":"Get a list of projects","description":"List projects and their sandboxes to which the API token has access.","tags":["Projects"],"responses":{"200":{"$ref":"#/components/responses/ProjectsResponse"},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"403":{"$ref":"#/components/responses/PERMISSION_DENIED"}},"operationId":"getProjects"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mailtrap.io/developers/email-sandbox/projects/get-a-list-of-projects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
